curl --location --request PUT 'https://api.myvocal.ai/sound_clone/api/v1/voices/rename/7812' \
--header 'accessKey: xxx' \
--header 'Content-Type: application/json' \
--data '{
"name": "rename"
}'
{
"code": 1,
"message": "Success",
}
{
"code": -1,
"message": "error msg",
}
Voice API reference
Rename a voice
Change the display name of a voice.
PUT
/
sound_clone
/
api
/
v1
/
voices
/
rename
/
{id}
curl --location --request PUT 'https://api.myvocal.ai/sound_clone/api/v1/voices/rename/7812' \
--header 'accessKey: xxx' \
--header 'Content-Type: application/json' \
--data '{
"name": "rename"
}'
{
"code": 1,
"message": "Success",
}
{
"code": -1,
"message": "error msg",
}
Voice cloning · Workflow: How to use voices
Header
string
required
Your API key. See Authentication.
Path
Long
required
Your voiceId
Body
string
required
Your new voice name
Response
number
Indicates whether the call was successful. 1 if successful.
string
When an exception occurs, specific exception information will be provided in the message.
curl --location --request PUT 'https://api.myvocal.ai/sound_clone/api/v1/voices/rename/7812' \
--header 'accessKey: xxx' \
--header 'Content-Type: application/json' \
--data '{
"name": "rename"
}'
{
"code": 1,
"message": "Success",
}
{
"code": -1,
"message": "error msg",
}
